import CacheType from "./cache-type";
import { FC, ReactNode } from "react";
export declare type ReactElement = ReactNode | null;
export declare type DomNode = Element;
export declare type WithKeepAlive = (OldComponent: React.JSXElementConstructor<any>, { cacheId, scroll }: {
    cacheId: string;
    scroll?: boolean;
}) => FC<{
    [key: string]: any;
}>;
export declare type MountFunction = ({ cacheId, reactElement, }: {
    cacheId: string;
    reactElement: ReactElement;
}) => void;
export declare type ScrollFunction = (cacheId: string, target: Element) => void;
export interface CacheState {
    [cacheId: string]: {
        cacheId: string;
        reactElement: ReactElement;
        doms: Array<DomNode> | undefined;
        status: CacheType;
        scrolls: {
            [domBaseURI: string]: number;
        };
    };
}
export interface Action {
    type: CacheType;
    payload: {
        cacheId: string;
        reactElement?: ReactElement;
        doms?: Array<DomNode> | undefined;
    };
}
